Subject: Re: bug#3366: 23.0.94; doc of split-window-preferred-function, display-buffer, etc.

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 May 2009 13:12:54 -0400

> Also `display-buffer' should call `split-window-preferred-function' at
> most once.  Calling it with the largest and the LRU window (which may
> designate one and the same window) appears merely disconcerting.

Agreed.  I have no idea why it's called several times as of now.
It clearly isn't due to backward compatibility since this is new in
Emacs 23.

        Stefan